%define libname_orig libexpat
%define major 1
%define libname %mklibname expat %{major}
%define devname %mklibname -d expat %{major}

Summary:	XML parser written in C
Name:		expat
Version:	2.1.0
Release:	%mkrel 4
License:	MPL or GPL
Group:		Text tools
URL:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/expat-%{version}.tar.gz

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		Development/C

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname expat -d 0}
Provides:	%{mklibname expat -d 0} = %{version}-%{release}

%description -n %{devname}
Development environment for the expat XML parser.

%prep

%setup -q

%build
#rm -rf autom4te*.cache
#rm conftools/libtool.m4
#libtoolize --copy --force --automake; aclocal; autoheader; autoconf
#export CFLAGS="%{optflags} -fPIC"

%configure2_5x
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std mandir=%{buildroot}%{_mandir}/man1

rm -f %{buildroot}%{_libdir}/libexpat.la

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_external.h
%{_libdir}/libexpat.a
%{_libdir}/pkgconfig/expat.pc




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 349870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 2.1.0-3.mga3
+ Revision: 310511
- fix RPM group

* Sat Oct 20 2012 malo <malo> 2.1.0-2.mga3
+ Revision: 308541
- update RPM group

* Thu Mar 29 2012 guillomovitch <guillomovitch> 2.1.0-1.mga2
+ Revision: 227472
- new version

* Sat Jan 08 2011 blino <blino> 2.0.1-14.mga1
+ Revision: 724
- remove old ldconfig scripts
- imported package expat

